{
  description = "Extremely basic flake";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs =
    {
      self,
      nixpkgs,
      flake-utils,
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
      in
      {
        packages = {
          default = throw "put derivation information here";
        };

        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs; [
            (throw "put packages here")
          ];
        };

      }
    );
}
